PROBE::SYSCALL_ANY(3stap)

NAME
probe::syscall_any - Record entry into a syscall

SYNOPSIS

syscall_any

VALUES

name
    name of the syscall

syscall_nr
    number of the syscall

CONTEXT

The process performing the syscall

DESCRIPTION

The syscall_any probe point is designed to be a low overhead that monitors all the syscalls entered via a kernel tracepoint. Because of the breadth of syscalls it monitors it provides no information about the syscall arguments or argstr string representation of those arguments.

This requires kernel 3.5+ and newer which have the kernel.trace(“sys_enter”) probe point.

SEE ALSO
tapset::syscall_any(3stap)